'use strict';

var tslib_es6 = require('../../node_modules/tslib/tslib.es6.js');
var React = require('react');
var PropTypes = require('prop-types');
var index = require('../../node_modules/classnames/index.js');
var useForkedRef = require('../../hooks/useForkedRef.js');
require('@popperjs/core');
var Transition = require('../../node_modules/react-transition-group/esm/Transition.js');

var CBackdrop = React.forwardRef(function (_a, ref) {
    var _b = _a.className, className = _b === void 0 ? 'modal-backdrop' : _b, visible = _a.visible, rest = tslib_es6.__rest(_a, ["className", "visible"]);
    var backdropRef = React.useRef(null);
    var forkedRef = useForkedRef.useForkedRef(ref, backdropRef);
    return (React.createElement(Transition.default, { in: visible, mountOnEnter: true, nodeRef: backdropRef, timeout: 150, unmountOnExit: true }, function (state) { return (React.createElement("div", tslib_es6.__assign({ className: index.default(className, 'fade', {
            show: state === 'entered',
        }) }, rest, { ref: forkedRef }))); }));
});
CBackdrop.propTypes = {
    className: PropTypes.string,
    visible: PropTypes.bool,
};
CBackdrop.displayName = 'CBackdrop';

exports.CBackdrop = CBackdrop;
//# sourceMappingURL=CBackdrop.js.map
