'use strict';

var tslib_es6 = require('../../node_modules/tslib/tslib.es6.js');
var React = require('react');
var PropTypes = require('prop-types');
var index = require('../../node_modules/classnames/index.js');
var CProgressStacked = require('./CProgressStacked.js');
var props = require('../../props.js');

var CProgressBar = React.forwardRef(function (_a, ref) {
    var _b;
    var children = _a.children, animated = _a.animated, className = _a.className, color = _a.color, _c = _a.value, value = _c === void 0 ? 0 : _c, variant = _a.variant, rest = tslib_es6.__rest(_a, ["children", "animated", "className", "color", "value", "variant"]);
    var stacked = React.useContext(CProgressStacked.CProgressStackedContext).stacked;
    return (React.createElement("div", tslib_es6.__assign({ className: index.default('progress-bar', (_b = {},
            _b["bg-".concat(color)] = color,
            _b["progress-bar-".concat(variant)] = variant,
            _b['progress-bar-animated'] = animated,
            _b), className) }, (!stacked && { style: { width: "".concat(value, "%") } }), rest, { ref: ref }), children));
});
CProgressBar.propTypes = {
    animated: PropTypes.bool,
    children: PropTypes.node,
    className: PropTypes.string,
    color: props.colorPropType,
    value: PropTypes.number,
    variant: PropTypes.oneOf(['striped']),
};
CProgressBar.displayName = 'CProgressBar';

exports.CProgressBar = CProgressBar;
//# sourceMappingURL=CProgressBar.js.map
