import { ElementType, HTMLAttributes, ReactNode } from 'react';
import { PolymorphicRefForwardingComponent } from '../../helpers';
export interface CNavGroupProps extends HTMLAttributes<HTMLDivElement | HTMLLIElement> {
    /**
     * Component used for the root node. Either a string to use a HTML element or a component.
     *
     * @since 5.0.0
     */
    as?: ElementType;
    /**
     * A string of all className you want applied to the component.
     */
    className?: string;
    /**
     * Make nav group more compact by cutting all `padding` in half.
     */
    compact?: boolean;
    /**
     * Set group toggler label.
     */
    toggler?: string | ReactNode;
    /**
     * Show nav group items.
     */
    visible?: boolean;
    /**
     * @ignore
     */
    idx?: string;
}
export declare const CNavGroup: PolymorphicRefForwardingComponent<'li', CNavGroupProps>;
