import React, { HTMLAttributes } from 'react';
export interface CTabsProps extends Omit<HTMLAttributes<HTMLDivElement>, 'onChange'> {
    /**
     * The active item key.
     */
    activeItemKey: number | string;
    /**
     * A string of all className you want applied to the base component.
     */
    className?: string;
    /**
     * The callback is fired when the active tab changes.
     */
    onChange?: (value: number | string) => void;
}
export interface TabsContextProps {
    _activeItemKey?: number | string;
    setActiveItemKey: React.Dispatch<React.SetStateAction<number | string | undefined>>;
    id?: string;
}
export declare const TabsContext: React.Context<TabsContextProps>;
export declare const CTabs: React.ForwardRefExoticComponent<CTabsProps & React.RefAttributes<HTMLDivElement>>;
